@page "/grozs"
@inject NavigationManager UriHelper
@using logger.Data
@using Microsoft.AspNetCore.Components.Server.ProtectedBrowserStorage
@inject DataBase DB

<h2 style="text-align:center">Grozs</h2>

@if (Carts == null)
{
    <p><em>Loading...</em></p>
}
else
{
  <table>
  
    
    @foreach (var Cart in Carts)
   {
       
         
            
            
              <tr class="card" style="width: 80rem; text-align:center; display:inline-block; margin-right:15px;margin-bottom:15px;">
              
             
              <h1>Prece numurs:@Cart.productId</h1>
              
                         
              <div class="card" style="width: 30rem; text-align:center;display:inline-block; background-color: #581080; bottom:0;">
              <td><button type="button" style="display:inline-block" class="btn btn-danger btn-sm" @onclick="() => OpenDialog(Cart)">Izdzēst no Groza</button></td>
              
              </div> 
              </tr>
      
      
      }
    
          
    </table>
}


<!DOCTYPE html>
<html>
<head>
<style>
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 350px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.price {
  color: grey;
  font-size: 22px;
}

.card button {
  border: none;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}

.card button:hover {
  opacity: 0.7;
}
</style>
</head>
<body>





<div class="card" style="width: 100rem; text-align:center;display:center; background-color: #581080; bottom:0;">
    <button @onclick=@prom>Doties uz sākuma lapu</button>

</div>


@code{
  
void prom()
{
       UriHelper.NavigateTo("/");
}
}
</body>
</html>



@if (DialogOpen) {
<BlazorApp.Components.ModalDialog Title="Vai vēlaties izdzēst no groza?" Text="Prece tiks izdzēsta no Groza" OnClose="@Dialog"></BlazorApp.Components.ModalDialog>
}
@code {

        private DataBase.Groz[] earnings;
        private DataBase.Groz _earning;
        public bool DialogOpen { get; set;}
  
        public async Task Dialog(bool accepted)
    {
        if (accepted)
        {
         
        await DB.DeleteFromCart(_earning.productId); 
        //_earning = null;
        
        
        }

        DialogOpen = false;
        StateHasChanged();
    }
       
        
        public void OpenDialog(DataBase.Groz Id)
        {
          DialogOpen = true;
        _earning = Id;      //<--------- Kāds mainīgais būtu jāliek Id vietā?
          StateHasChanged();
        }
        private async Task LoadData()
    {
        var earnings = await DB.GetPrece();
        StateHasChanged();
    }

        public int InventaraVeids { get; set; }  
        public int Razotajs { get; set; }
        public int Modelis { get; set; }
        public int Cena { get; set; }
        public int Attels { get; set; }

        public int productId { get; set; }
        public int Izmers { get; set; }
        

        private List<DataBase.Groz> Carts;
            
      

        
        

protected override async Task OnInitializedAsync()
  {
    
     var dbGroz = await DB.GetGroz();
     Carts = dbGroz.ToList();
     
  
}
private async Task SelectChanged(ChangeEventArgs e)
    {
        Izmers = int.Parse(e.Value.ToString());
        
    }


 

}